0.12.2 (stable)
===============

- Common:
    - Remove deprecated libxml calls
- AV CP:
    - Remove some stray debug output
- EventDumper:
    - Code cleanup
- Uploader:
    - Fix parsing the Browse result

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/issues/27
 - https://gitlab.gnome.org/GNOME/gupnp-tools/issues/28

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/merge_requests/6
 - https://gitlab.gnome.org/GNOME/gupnp-tools/merge_requests/5

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Sabri Ünal <libreajans@gmail.com>
 - Bartłomiej Piotrowski <b@bpiotrowski.pl>
 - Scrambled 777 <weblate.scrambled777@simplelogin.com>
 - Martin <miles@filmsi.net>

Added/updated translations:
 - hi.po, courtesy of Scrambled777
 - sl.po, courtesy of Martin Srebotnjak
 - tr.po, courtesy of Sabri Ünal

0.12.1 (stable)
===============

- Universal CP:
    - Do not crash if a device disappears

- Fix issue with meson 1.2.0
- Translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/issues/24

0.12.0 (stable)
===============

Dependency changes:
    - GLib required is now 2.68
    - GUPnP requirement up to 1.6
    - Libsoup requirement up to 3.0

- All
    - Port to GUPnP 1.6 and Libsoup3
    - Fix inconsistencies regarding action errors
    - Use more g_autoptr
    - Drop gupnp_get_uuid() where used.
    - Translation updates

- Common
    - Fix potential NULL pointer dereference
    - Use GUPnP utility functions for download of icons

- Universal CP:
    - Fix missing icon on download error
    - Fix uninitialized out value

- Event Dumper:
    - Added new tool for dumping UPnP events on command line

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/issues/23

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/merge_requests/4

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Jürgen Benvenuti <gastornis@posteo.org>
 - Sabri Ünal <libreajans@gmail.com>
 - Hugo Carvalho <hugokarvalho@hotmail.com>
 - Luming Zh <lumingzh@qq.com>
 - Asier Sarasua Garmendia <asiersarasua@ni.eus>
 - Alan Mortensen <alanmortensen.am@gmail.com>

Added/updated translations:
 - da.po, courtesy of Alan Mortensen
 - de.po, courtesy of Jürgen Benvenuti
 - eu.po, courtesy of Asier Sarasua Garmendia
 - pt.po, courtesy of Hugo Carvalho
 - tr.po, courtesy of Sabri Ünal
 - zh_CN.po, courtesy of lumingzh

0.10.2 (stable)
===============

- Universal CP:
   - Fix format message error

- Translation updates

Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/issues/20
 - https://gitlab.gnome.org/GNOME/gupnp-tools/issues/21

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Dušan Kazik <prescott66@gmail.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Balázs Úr <balazs@urbalazs.hu>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Boyuan Yang <073plan@gmail.com>

Added/updated translations:
 - cs.po, courtesy of Marek Černocký
 - hu.po, courtesy of Balázs Úr
 - sk.po, courtesy of Dušan Kazik
 - sr.po, courtesy of Мирослав Николић
 - zh_CN.po, courtesy of tuhaihe

0.10.1
======

- All
   - Fix various smaller memory leaks
   - Stop using deprecated functions from GUPnP
   - Update icons
   - New translations and update of existing translations

- Upload:
   - Check that a UDN was provided

- AV-CP:
   - Some visual improvements like headerbars and symbolic icons
   - Search dialog provides entry completion
   - Add IPv6 support if available

- Network Light:
   - Add IPv6 support if available


Bugs fixed in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/issues/3
 - https://gitlab.gnome.org/GNOME/gupnp-tools/issues/6

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/merge_requests/3

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Yuri Chornoivan <yurchor@ukr.net>
 - Florentina Mușat <florentina.musat.28@gmail.com>
 - Andika Triwidada <atriwidada@gnome.org>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - sicklylife <translation@sicklylife.jp>
 - Ask Hjorth Larsen <asklarsen@gmail.com>
 - Emin Tufan Çetin <etcetin@gmail.com>
 - Fabio Tomat <f.t.public@gmail.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Marek Černocký <marek@manet.cz>
 - Balázs Úr <balazs@urbalazs.hu>
 - Dušan Kazik <prescott66@gmail.com>
 - Serdar Sağlam <teknomobil@msn.com>
 - Fabrice Fontaine <fontaine.fabrice@gmail.com>
 - Asier Sarasua Garmendia <asier.sarasua@gmail.com>

Added/updated translations:
 - cs.po, courtesy of Marek Černocký
 - es.po, courtesy of Daniel Mustieles
 - eu.po, courtesy of Asier Sarasua Garmendia
 - fur.po, courtesy of Fabio Tomat
 - hu.po, courtesy of Balázs Úr
 - id.po, courtesy of Andika Triwidada
 - ja.po, courtesy of sicklylife
 - pl.po, courtesy of Piotr Drąg
 - pt_BR.po, courtesy of Rafael Fontenelle
 - ro.po, courtesy of Florentina Mușat
 - sk.po, courtesy of Dušan Kazik
 - sr.po, courtesy of Мирослав Николић
 - sv.po, courtesy of Anders Jonsson
 - tr.po, courtesy of Emin Tufan Çetin
 - uk.po, courtesy of Yuri Chornoivan

0.10.0
======

All:
 - Port to GUPnP 1.2
 - Various Meson fixes
 - Translation updates

Merge requests included in this release:
 - https://gitlab.gnome.org/GNOME/gupnp-tools/merge_requests/2
 - https://gitlab.gnome.org/GNOME/gupnp-tools/merge_requests/1

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Марко Костић <marko.m.kostic@gmail.com>
 - Bernd Homuth <dev@hmt.im>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>
 - Balló György <ballogyor@gmail.com>
 - Balázs Meskó <meskobalazs@fedoraproject.org>
 - Andre Klapper <a9016009@gmx.de>
 - Jan Tojnar <jtojnar@gmail.com>

Added/updated translations:
 - de.po, courtesy of Bernd Homuth
 - hu.po, courtesy of Meskó Balázs
 - sr.po, courtesy of Марко М. Костић
 - sv.po, courtesy of Anders Jonsson

0.8.15
======

All:
 - Improve desktop files
 - Translation updates

Build:
 - Port to meson

AV Controlpoint:
 - Fix building against GtkSourceVIew 4
 - Make it possible to change the UserAgent
 - Remove g_type_class_add_private
 - Fix closing the about dialog

Universal Controlpoint:
 - Fix closing the about dialog

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Marek Cernocky <marek_cernocky@conel.cz>
 - Kukuh Syafaat <kukuhsyafaat@gnome.org>
 - Daniel Mustieles <daniel.mustieles.contractor@bbva.com>
 - Tim Sabsch <tim@sabsch.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Isaac F. Ferreira Filho <isaacmob@riseup.net>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Tim Sabsch
 - es, courtesy of Daniel Mustieles
 - id, courtesy of Kukuh Syafaat
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - sk, courtesy of Dušan Kazik
 - sv, courtesy of Anders Jonsson

0.8.14
======

All:
 - Lots of translation updates

AV Controlpoint:
 - Add possibility to run searches on the server
 - Fix issue with browsing servers that do not have an icon

Universal Controlpoint:
 - Fix issue with sub-devices that don't have an icon

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Jens Georg <jgeorg@de.adit-jv.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Kukuh Syafaat <syafaatkukuh@gmail.com>
 - Balázs Úr <urbalazs@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Marek Cernocky <marek_cernocky@conel.cz>
 - Josef Andersson <josef.andersson@gmail.com>
 - Fabio Tomat <f.t.public@gmail.com>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>
 - Andika Triwidada <atriwidada@gnome.org>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - fur, courtesy of Fabio Tomat
 - hu, courtesy of Balázs Úr
 - id, courtesy of Kukuh Syafaat
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić
 - sv, courtesy of Anders Jonsson

0.8.13
======

Build:
 - Fix desktop file generation

All:
 - Remove deprecated calls from GSSDP and GUPnP

AV Controlpoint:
 - Move some code into GtkBuilder files
 - Some clean-ups
 - Do not allow "Pause" when renderer is "Stopped"
 - Fix icon for "Next" button
 - Enable menu key on playlist
 - Fix compiling with recent GUPnP-AV

Translations:
 - Update
 - Build fixes

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=770655

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Tiago Santos <tiagofsantos81@sapo.pt>
 - Marek Černocký <marek@manet.cz>
 - Anders Jonsson <anders.jonsson@norsjovallen.se>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - pl, courtesy of Piotr Drąg
 - pt, courtesy of Tiago Santos
 - sv, courtesy of Anders Jonsson

0.8.12
======

Build:
 - Update and add missing m4 macros from autoconf archive
 - Use upstream gettext

Common:
 - Remove use of deprecated libsoup API
 - Do not leak the pixbuf loader

Upload:
 - Use help text from option context
 - Make UDN a parameter

Network light:
 - Add commandline argument for friendly name
 - Add commandline argument for exclusive change
 - use "newTargetValue" instead of "NewTargetValue"

Universal Control Point:
 - Fix some memory leaks

AV-CP:
 - Fix some memory leaks
 - Do some refactoring to use nice sort order from server

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=730747
 - https://bugzilla.gnome.org/show_bug.cgi?id=758779
 - https://bugzilla.gnome.org/show_bug.cgi?id=761967
 - https://bugzilla.gnome.org/show_bug.cgi?id=761968
 - https://bugzilla.gnome.org/show_bug.cgi?id=764050

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Rafael Fontenelle <rafaelff@gnome.org>
 - Balázs Meskó <meskobalazs@gmail.com>
 - Mario Blättermann <mario.blaettermann@gmail.com>
 - ljsachs <larry.j.sachs@intel.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Марко М. Костић <marko.m.kostic@gmail.com>
 - Марко Костић <marko.m.kostic@gmail.com>
 - Yating Kuang <yatingkuang@ubuntukylin.com>
 - Necdet Yücel <necdetyucel@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Dušan Kazik <prescott66@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Mario Blättermann
 - es, courtesy of Daniel Mustieles
 - hu, courtesy of Balázs Úr
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Fontenelle
 - sk, courtesy of Dušan Kazik
 - sr, courtesy of Марко М. Костић
 - sr@latin, courtesy of Miroslav Nikolić
 - tr, courtesy of Gökhan Gurbetoğlu
 - zh_CN, courtesy of tuhaihe

Updated/Changed dependencies:
 - Minimal libsoup version changed to 2.42

0.8.11
======

Changes since 0.8.10:

- Remove gnome-common.

Network light:
 - Fix re-creation of about dialog.
 - Use UUID functions from GUPnP.
 - Fix a critical on shutdown after showing the about dialog.

AV-CP:
 - Fix default resolution on weird screens.
 - Avoid a possible crash when clicking on rescan after contexts have been
   changed.

Discoverer:
 - Free some strings.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=697315
 - https://bugzilla.gnome.org/show_bug.cgi?id=697954

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Pedro Albuquerque <palbuquerque73@gmail.com>

Added/updated translations
 - pl, courtesy of Piotr Drąg
 - pt, courtesy of Pedro Albuquerque

0.8.10
======

Changes since 0.8.9:

- Remove checks for gnome-icon-theme
- Change icon loader behavior to not fail if there's no fall-back icons.

AV-CP:
 - Remove deprecated GTK+ things.
 - Fix warning about transient dialogs.
 - Make it possible to call Play on folders if they expose resources.

Universal-CP:
 - Remove deprecated GTK+ things.

Discover:
 - Add --message-type commandline option.

Upload:
 - Fix critical on shut-down.
 - Print interface and IP used for uploading.

Changes in dependencies:
 - GTK+3 >= 3.10
 - Removed dependency to gnome-icon-theme.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=733592
 - https://bugzilla.gnome.org/show_bug.cgi?id=733594
 - https://bugzilla.gnome.org/show_bug.cgi?id=734162
 - https://bugzilla.gnome.org/show_bug.cgi?id=735275

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Jussi Kukkonen <jku@goto.fi>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Daniel Mustieles <dnaiel.mustieles@gmail.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Tiago S <almosthumane@portugalmail.pt>
 - Samir Ribic <samir.ribic@etf.unsa.ba>
 - MarMav <mavridou@gmail.com>
 - Marek Černocký <marek@manet.cz>
 - Dušan Kazik <prescott66@gmail.com>
 - Dominique Leuenberger <dimstar@opensuse.org>
 - Balázs Úr <urbalazs@src.gnome.org>

Added/updated translations
 - bs, courtesy of Azra Jarebica
 - cs, courtesy of Marek Černocký
 - el, courtesy of Tom Tryfonidis
 - es, courtesy of Daniel Mustieles
 - hu, courtesy of Balázs Úr
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Ferreira
 - pt, courtesy of FULL NAME
 - sk, courtesy of Dušan Kazik
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

0.8.9
=====

Changes since 0.8.8:

- Make DIDL-Lite dialog work when closed with "X".
- Make UniversalCP behave nicer in busy networks where a lot of devices
  appear/disappear/reappear.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=722245
 - https://bugzilla.gnome.org/show_bug.cgi?id=723172

All contributors to this release:
 - Jussi Kukkonen <jussi.kukkonen@intel.com>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Marek Černocký <marek@manet.cz>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

0.8.8
=====

Changes since 0.8.7:

- Updated translations.
- Add --interface/--port options to all GUI tools.

Universal CP:
 - Don't crash on variable-only services.
 - Select first combo box value by default for restricted value lists.

Bugs fixed in this release:
 - https://bugzilla.gnome.org/show_bug.cgi?id=672863
 - https://bugzilla.gnome.org/show_bug.cgi?id=708370

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - tuhaihe <1132321739qq@gmail.com>
 - Piotr Drąg <piotrdrag@gmail.com>
 - Matej Urbančič <mateju@svn.gnome.org>
 - Jussi Kukkonen <jussi.kukkonen@intel.com>
 - Enrico Nicoletto <liverig@gmail.com>
 - Daniel Mustieles <daniel.mustieles@gmail.com>

Added/updated translations
 - es, courtesy of Daniel Mustieles
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Enrico Nicoletto
 - sl, courtesy of Matej Urbančič
 - zh_CN, courtesy of tuhaihe

0.8.7
=====

Changes since 0.8.6.1:

- Updated translations.
- Fix argument order in UPnP calls.
- Updated translations.

Bugs fixed in this release:
 - http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=519464
 - https://bugzilla.gnome.org/show_bug.cgi?id=697325

All contributors to this release:
 - Jens Georg <mail@jensge.org>
 - Мирослав Николић <miroslavnikolic@rocketmail.com>
 - Rafael Ferreira <rafael.f.f1@gmail.com>
 - Dimitris Spingos <dmtrs32@gmail.com>

Added/updated translations
 - el, courtesy of Dimitris Spingos (Δημήτρης Σπίγγος)
 - pt_BR, courtesy of Rafael Ferreira
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

0.8.6.1
=======

Changes since 0.8.6:

- More translations.
- Fix configure.

All contributors to this release:
  Piotr Drąg <piotrdrag@gmail.com>
  Martin Srebotnjak <miles@filmsi.net>
  Marek Černocký <marek@manet.cz>
  Jasper Lievisse Adriaanse <jasper@humppa.nl>
  Daniel Mustieles <daniel.mustieles@gmail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - es, courtesy of Daniel Mustieles
 - pl, courtesy of Piotr Drąg
 - sl, courtesy of Matej Urbančič

0.8.6
=====

Changes since 0.8.5:

- Support i18n.
- Added translations for several languages, see below.
- Upgrade GtkBuilder files.
- Use license links provided by GtkAbout.

AV-CP:

 - Fix GtkSourceView include.
 - Fix memory leak in TreeView.
 - Add a rescan button.
 - Fix a typo in About dialog.
 - Make network port configurable.

Changes in requirements:
 - GSSDP >= 0.13.3
 - GUPnP >= 0.18

 Optional:
  - GtkSourceView >= 3.2

All contributors to this release:
  Jiro Matsuzawa <jmatsuzawa@gnome.org>
  Piotr Drąg <piotrdrag@gmail.com>
  Matej Urbančič <mateju@svn.gnome.org>
  Jens Georg <mail@jensge.org>
  Мирослав Николић <miroslavnikolic@rocketmail.com>
  Marek Černocký <marek@manet.cz>
  Daniel Mustieles <daniel.mustieles@gmail.com>
  Martin Srebotnjak <miles@filmsi.net>
  Rafael Ferreira <rafael.f.f1@gmail.com>
  pasdVn <pasdVn3@gmx.de>
  Krzesimir Nowak <qdlacz@gmail.com>
  Krzesimir Nowak <krnowak@openismus.com>
  Kentaro KAZUHAMA <kazken3@gmail.com>
  Enrico Nicoletto <liverig@gmail.com>
  Enrico Nicoletto <enriconlto@src.gnome.org>
  Dominique Leuenberger <dimstar@opensuse.org>
  Christian Kirbach <Christian.Kirbach@googlemail.com>

Added/updated translations
 - cs, courtesy of Marek Černocký
 - de, courtesy of Christian Kirbach
 - es, courtesy of Daniel Mustieles
 - ja, courtesy of Kentaro KAZUHAMA
 - pl, courtesy of Piotr Drąg
 - pt_BR, courtesy of Rafael Ferreira
 - sl, courtesy of Matej Urbančič
 - sr, courtesy of Мирослав Николић
 - sr@latin, courtesy of Miroslav Nikolić

0.8.5
=====

Changes since 0.8.4:

- Fix linking against newer versions of GUPnP.
- Drop deprecated g_thread_init.
- Disable g_type_init on newer GLib.

gupnp-av-cp:
 - Be a bit more precise on what exactly failed.
 - Fix an endless loop while browsing.
 - Ignore initial notify for ContainerUpdateID event.

network-light:
 - Fix a typo.

Bugs fixed:
 https://bugzilla.gnome.org/show_bug.cgi?id=668090
 https://bugzilla.gnome.org/show_bug.cgi?id=690309

All contributors:
 Jens Georg <mail@jensge.org>

0.8.4
=====

Changes since 0.8.3:

- Autotools use has been modernized.
- Minor code clean-up.

gupnp-av-cp:
  - Fix issue that DIDL dialog was empty on next usage when user pressed ESC
    to close it.
  - Add XML pretty-printing to DIDL dialog.
  - Use GtkSourceView for DIDL dialog when available during build-time.

gssdp-discover:
  - A new simple SSDP discovery tool.

gupnp-upload:
  - Fix compiling with -Wall.
  - Set empty item id as mandated by UPnP.

Bugs fixed:
 https://bugzilla.gnome.org/show_bug.cgi?id=655562
 https://bugzilla.gnome.org/show_bug.cgi?id=655563
 https://bugzilla.gnome.org/show_bug.cgi?id=655579
 https://bugzilla.gnome.org/show_bug.cgi?id=654979
 https://bugzilla.gnome.org/show_bug.cgi?id=659315
 https://bugzilla.gnome.org/show_bug.cgi?id=659316

All contributors:
 Jens Georg <mail@jensge.org>
 Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
 Thijs Vermeir <thijsvermeir@gmail.com>

0.8.3
=====

Another micro release that fixes all the UI issues introduce in the last release
due to port to newer gtk+/glade.

All contributors:

Jens Georg <mail@jensge.org>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

0.8.2
=====

Changes since 0.8.1:

- Fix icon name in a warning message.
- Clear the (obsolete) ChangeLog file.

Dependencies changed:

- Require and adapt to gtk+ >= 3.0.0.

All contributors:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Jens Georg <mail@jensge.org>
Sven Neumann <s.neumann@raumfeld.com>
Luis de Bethencourt <luis@debethencourt.com>

0.8.1
=====

Changes since 0.8:

- Make sure everything builds and runs on windows.
- Add popup menu to playlist treeview.
- Add UI for user to fetch and view the DIDL-Lite XML for media objects.
- Make it possible for user to select containers.
- Get rid of redundant newline in warning messages.
- Obey the ACLOCAL_FLAGS environment variable.
- Other non-functional improvements.

Dependencies changed:

- Require and adapt to gupnp-av >= 0.5.5

All contributors:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Ross Burton <ross@linux.intel.com>
Jens Georg <mail@jensge.org>
Neil Roberts <neil@linux.intel.com>

0.8
====

Changes since 0.7.1:

- Add lenient mode: Just pick-up the first resource available.
- Specify filter in Browse actions to reduce network usage.
- Don't browse containers with no children.
- Always re-browse containers on updates.
- Update childCount after browsing is done.
- Support for multiple networks.
- Leave selection of resource to gupnp-av.
- No need to search for all UPnP resources anymore.
- Fix infinite loop in icon cancelation code.
- No need to care about hosting of description document anymore.
- Adapt to new gupnp-av API.
- Add cmdline option to gupnp-upload to specify network interface.
- Many other minor/internal fixes.

Dependencies changed:

- gssdp >= 0.7
- gupnp >= 0.13
- gupnp-av >= 0.6

All contributors:

Zeeshan Ali (Khattak) <zeeshanak@gnome.org>
Ross Burton <ross@linux.intel.com>

0.7.1
=====

Changes in this release:

- Use g_printerr() instead of g_critical() in case of problems.
- Initialize the GError to NULL at declaration.
- Declare variables as const to setisfy the compiler.
- Add missing casts.
- Use g_content_type_is_a() to compare mimetypes.
- Correct the order of mimetype check.
- Iterate over item resources rather than renderer protocols.
- Port all UIs to use GtkBuilder.
- Bump-up Gtk+ requirement to 2.16.

Removed dependency in this release: libglade.

Contributors to this release:

Sven Neumann <s.neumann@phase-zero.de>
Zeeshan Ali (Khattak) <zeeshanak@gnome.org>

0.7
===

This release features a new tool: gupnp-upload. It is a simple commandline
utility that uploads files to known MediaServers. Use Universal Control Point
for discovering the MediaServers. [Zeeshan Ali]

Other changes in this release:

- Initialize thread system before doing anythin else. [Sven Neumann,
  Zeeshan Ali]
- Don't assume that the actual ID of the root container is guaranteed to be "0".  [Zeeshan Ali]
- Use a message dialog to display action invocation errors. Fixes #936.
  [Zeeshan Ali]
- Some other minor changes. [Zeeshan Ali]

Added dependency in this release: GIO (>= 2.12).

0.6.1
=====

Network Light:
- The UI now controls all network lights on the network, not just itself.

AV Control Point:
- Don't add orphan items/containers to tree anymore.

General:
- Fix build on Rawhide by explicitly requiring and linking to libgthread-2.0.

0.6
===

network-light:
- Remove the unneeded periodic notification to susbscribers.
  [Zeeshan Ali Khattak]
- Create a new UUID for each instance of network-light.
  [Hugo Calleja, Zeeshan Ali Khattak]
- Use the new gupnp_root_device_new() API. [Jorn Baayen]

universal-cp:
- Display the device presentation URL [Ross Burton]

general:
- Fix `make distcheck`. [Zeeshan Ali Khattak]

0.4
===

- Use libsoup 2.4. [Jorn Baayen, Zeeshan Ali Khattak]
- Incremental browsing of containers. [Zeeshan Ali Khattak]

0.3
===

This release features AV Control Point, a simple media player UI that enables
one to discover and play multimedia contents available on a network. Hopefully
a useful tool to test and debug UPnP MediaServer and MediaRenderer
implementations. [Zeeshan Ali]

Other changes in this release:

- Desktop file for each tool. [Ross Burton, Zeeshan Ali]
- New Icons. [Vinicius Depizzol]
- Various misc improvements and fixes. [Zeeshan Ali]

0.2
===

This release features Network Light, a UPnP-enabled software-based light bulb
that provides Switch Power and Dimming services, as defined by UPnP forum as
'DimmableLight v1.0". It is mainly intended to be a simple example of a UPnP
device based on GUPnP, and a demonstration of simplistic yet powerful GUPnP
API. It can also be used to debug generic and DimmableLight control points.

Changes to Universal Control Point in this release:

- Use of gtk stock icons wherever appropriate.
- New cool icons from Lapo Calamandrei, licensed under GPL
- Use icon from the Device, if available, to represent it.
- Subscribe to services, by default.
- Ability to copy&paste details and events.
- Lots of code cleanup and refactoring and misc fixes.

0.1.2
=====

Another minor release to fix the treeview headers that broke because of
the fixes in the last release.

0.1.1
=====

Minor release.

- BUGFIX: Pack the text and pixbuf in the same column of device treeview.
- Require libglade 2.6.0 rather than 2.6.1.
- Print a warning when introspection creation fails.
- Some more english fixes with the help of Robert McQueen.

0.1
===

Initial release, featuring GUPnP Universial Control Point.
